Subject: I-D Action: draft-claise-opsawg-collected-data-manifest-02.txt

From: [email-masked]
Date: Sun, 20 Mar 2022 06:55:40 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : A Data Manifest for Contextualized Telemetry Data
        Authors         : Benoit Claise
                          Jean Quilbeuf
                          Diego R. Lopez
                          Ignacio Dominguez
                          Thomas Graf
	Filename        : draft-claise-opsawg-collected-data-manifest-02.txt
	Pages           : 19
	Date            : 2022-03-20

Abstract:
   Most network equipment feature telemetry as a mean to monitoring
   their status.  Several protocols exist to this end, for example, the
   model-driven telemetry governed by YANG models.  Some of these
   protocols provide the data itself, without any contextual information
   about the collection method.  This can render the data unusable if
   that context is lost, for instance when the data is stored without
   the relevant information.  This document proposes a data manifest,
   composed of two YANG data models, to store that contextual
   information along with the collected data, in order to keep the
   collected data exploitable in the future.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-claise-opsawg-collected-data-manifest/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-claise-opsawg-collected-data-manifest-02

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-claise-opsawg-collected-data-manifest-02

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts